This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 47684

Summary: Improve readability of build-impl.xml
Product: java Reporter: Petr Jiricka <pjiricka>
Component: ProjectAssignee: David Konecny <dkonecny>
Status: RESOLVED WONTFIX    
Severity: blocker CC: jglick
Priority: P2    
Version: 4.x   
Hardware: All   
OS: All   
URL: http://www.netbeans.org/servlets/ReadMsg?msgId=801055&listName=nbusers
Issue Type: ENHANCEMENT Exception Reporter:
Bug Depends on:    
Bug Blocks: 41537    

Description Petr Jiricka 2004-08-23 10:09:52 UTC
A user complains (see URL) that build.xml is hard
to read, and thus makes the projects support not
very comprehensive.

So this request is to improve the readability of
build-impl.xml.

One way to improve readability could be to
separate the IDE-specific targets (debugging,
single file compilation) into a separate (more
hidden) script, and only leave the ones that will
be used in headless builds in build-impl.xml.

See also somewhat related issue #46886.
Comment 1 Jesse Glick 2004-08-23 21:06:11 UTC
Or could simply move IDE-specific targets to the end of build-impl.xml.

It's not at all clear to me from Lew's message that this has much to
do with his complaints, however.
Comment 2 David Konecny 2004-09-29 14:40:09 UTC
Looks like WONTFIX for me for 4.0. I would rather wait till we get
more feedback on this from users. Then we can rearrange it.
Comment 3 David Konecny 2004-10-19 12:55:08 UTC
Not enough info.